package mimuw.mmf;

import junit.framework.Test;
import junit.framework.TestSuite;
import mimuw.mmf.clusterers.hierarchical.HierarchicalClustererTest;
import mimuw.mmf.finders.bioprospector.BioProspectorFinderTest;
import mimuw.mmf.finders.bioprospector.BioProspectorResultsParserTest;
import mimuw.mmf.jaspar.JasparDataReaderTest;
import mimuw.mmf.util.AlignmentToolsTest;
import mimuw.mmf.util.BioToolsTest;
import mimuw.mmf.util.QuickBioToolsTest;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

/**
 * Test suite that contains all the tests from the project
 * Performs the cross-project testing.
 * 
 * @author milosz
 *
 */
@RunWith(value=Suite.class)
@SuiteClasses(value={
		AlignmentToolsTest.class,
		BioProspectorFinderTest.class,
		BioProspectorResultsParserTest.class, 
		BioToolsTest.class,
		HierarchicalClustererTest.class, 
		JasparDataReaderTest.class,
		QuickBioToolsTest.class
		})
public class AllTests {

	public static Test suite() {
		TestSuite suite = new TestSuite("Test for mimuw.mmf.util");
		//$JUnit-BEGIN$

		//$JUnit-END$
		return suite;
	}

}
