package mimuw.mmf.config;

import java.util.Map;

import mimuw.mmf.MMF.CLUSTERING_TYPE;
import mimuw.mmf.MMF.DISTRIBUTION_DISTANCE_FUNCTION;
import mimuw.mmf.MMF.DISTRIBUTION_TYPE;
import mimuw.mmf.clusterers.hierarchical.HierarchicalClusterer.THRESHOLD_TYPE;
import mimuw.mmf.util.Logger.LOG_LEVEL;

/**
 * This class is immutable
 * 
 * @author milosz
 *
 */
public class ConfigData {
	
	final FindersData findersData;
	final ApplicationData appData;
	final boolean jaspar;
	final JasparData jasparData;
	
	ConfigData (
			final Map<String, String> paramMap,
			final String findersPath, 
			final Integer motifLength,
			final Boolean bothStrands,
			final Integer motifsReported,
			final boolean weederOnlyBestHalf, 
			final String tmpResultsPath, 
			final String verboseHelpPath,
			final String userMotifsFile,
			final String userDatabase,
			final DISTRIBUTION_DISTANCE_FUNCTION function,
			final DISTRIBUTION_TYPE type,
			final Double refinementThreshold,
			final CLUSTERING_TYPE clusteringType,
			final THRESHOLD_TYPE clusteringThresholdType,
			final double clusteringThresholdValue,
			final double icThreshold,
			final DISTRIBUTION_DISTANCE_FUNCTION consensusFunction,
			final Integer alignmentSize,
			final String species,
			final double gcContent,
			final LOG_LEVEL logLevel,
			final boolean log_pspm_motifs,
			final boolean log_pspm_consensus,
			final JasparData jasparData)
	{

		this.findersData = new FindersData(paramMap, findersPath, motifLength, bothStrands, motifsReported, weederOnlyBestHalf);
		this.appData = new ApplicationData(
				tmpResultsPath, verboseHelpPath, userMotifsFile, userDatabase,
				function, type,
				refinementThreshold,
				clusteringType,	clusteringThresholdType, clusteringThresholdValue,
				icThreshold, consensusFunction, alignmentSize,
				species, gcContent, logLevel, log_pspm_motifs, log_pspm_consensus);
		this.jaspar = (jasparData != null);
		this.jasparData = jasparData;
	}
	

	public boolean useJaspar() {
		return jaspar;
	}

	public FindersData getFindersData() {
		return findersData;
	}
	public ApplicationData getAppData() {
		return appData;
	}
	public JasparData getJasparData() {
		return jasparData;
	}		
}