package mimuw.mmf.finders;

public class FileFormatException extends MMFRuntimeException {

	private static final long serialVersionUID = 3331151696899472357L;
	private int line;
	private String fileName;
	

	public FileFormatException(int line, String fileName) {
		this.line = line;
		this.fileName = fileName;
	}

	public FileFormatException(String message, int line, String fileName) {
		super(message);
		this.line = line;
		this.fileName = fileName;
	}

	public FileFormatException(Throwable cause, int line, String fileName) {
		super(cause);
		this.line = line;
		this.fileName = fileName;
	}

	public FileFormatException(String message, Throwable cause, int line, String fileName) {
		super(message, cause);
		this.line = line;
		this.fileName = fileName;
	}

	public int getLineNumber(){
		return line;
	}

	public String getFileName() {
		return fileName;
	}
}
