package mimuw.mmf.motif;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import mimuw.mmf.util.BioTools;

import org.biojava.bio.dist.IndexedCount;
import org.biojava.bio.symbol.AtomicSymbol;
import org.biojava.bio.symbol.IllegalSymbolException;
import org.biojava.utils.ChangeVetoException;

public class TemporaryDatabaseMotif implements Serializable {
	
	private static final long serialVersionUID = -7578508596771983010L;
	private final String id;
	private final List<IndexedCount> tmpCounts;

	public TemporaryDatabaseMotif(String id) {
		super();
		this.id = id;
		this.tmpCounts = new ArrayList<IndexedCount>();
	}

	public void addData(AtomicSymbol s, int pos, double count) 
	throws IllegalSymbolException, ChangeVetoException
	{
		for (int diff = pos-tmpCounts.size(); diff > 0; diff--){
			tmpCounts.add(new IndexedCount(BioTools.dna));
		}
		tmpCounts.get(pos-1).setCount(s, count);
	}

	public String getId() {
		return id;
	}

	public List<IndexedCount> getTmpCounts() {
		return tmpCounts;
	}
}
