package mimuw.mmf.motif.external;

import java.util.Formatter;

import mimuw.mmf.motif.AbstractMotif;

import org.biojava.bio.dist.Count;
import org.biojava.bio.dist.Distribution;
import org.biojava.bio.symbol.FiniteAlphabet;

public class ExternalMotif extends AbstractMotif {

	private final int index;
	private final String origin;

	
	public ExternalMotif(Count[] counts, Distribution bg, String origin, int index) {
		super(counts, bg);
		this.index = index;
		this.origin = origin;
	}
	

	@Override
	public double getWeight() {
		return avgInfo();
	}

	@Override
	public String origin() {
		return origin;
	}

	@Override
	public String toString(){
		StringBuffer buff = new StringBuffer();
		Formatter formatter = new Formatter(buff);
		formatter.format("%s_%s_%d", consensus(), origin().substring(0, 2), index);
		return buff.toString();
	}
	
	@Override
	public FiniteAlphabet getAlphabet() {
		// TODO Auto-generated method stub
		return null;
	}

}
