package mimuw.mmf.util;

import java.io.File;
import java.util.HashMap;
import java.util.Map;
import java.util.Map.Entry;

import org.biojavax.bio.seq.RichSequence;

public class FileConverter {

	public static void main(String ...args){
		
		try {
			String path = args[0];
			
			Map<String, RichSequence> seqMap1 = BioTools.readFastaSequences(path, "DNA");
			Map<String, RichSequence> seqMap = new HashMap<String, RichSequence>();
			
			for (Entry<String, RichSequence> entry : seqMap1.entrySet()){
				if (entry.getValue().length() > 0)
					seqMap.put(entry.getKey(), entry.getValue());
			}
			
			File sf = new File(path);
			int lastDotIndex = sf.getAbsolutePath().lastIndexOf('.');
			String tmpPath = (lastDotIndex == -1) ? sf.getAbsolutePath() : sf.getAbsolutePath().substring(0, lastDotIndex);
			System.out.printf("tmppath: %s\n", tmpPath);
			BioTools.prepareSimplifiedFastaFile(tmpPath, ".sfa", seqMap);
			
		} catch (Exception e) {
			e.printStackTrace();
		}
		
	}
}
