package mimuw.mmf.util;

public class Logger {
	
	public enum LOG_LEVEL {TRACE, DEBUG, INFO, AUTO, WARN, ERR, FATAL};
	
	private static final int TRACE = 0;	// for debugging code
	private static final int DEBUG = 1;	// for detailed info
	private static final int INFO = 2;		// info for user
	private static final int AUTO = 3;		// only info for automated tests
	private static final int WARN = 4;	
	private static final int ERR = 5;
	private static final int FATAL = 6;

	private static int LOG = INFO;

	public static void setLogLevel(LOG_LEVEL level){
		switch (level){
		case TRACE: LOG = TRACE; break;
		case DEBUG: LOG = DEBUG; break;
		case INFO: LOG = INFO; break;
		case AUTO: LOG = AUTO; break;
		case WARN: LOG = WARN; break;
		case ERR: LOG = ERR; break;
		case FATAL: LOG = FATAL; break;
		}
	}

	public static void trace(String format, Object... args){
		if (LOG <= TRACE)
			System.out.printf(format, args);
	}
	
	public static void debug(String format, Object... args){
		if (LOG <= DEBUG)
			System.out.printf(format, args);
	}

	public static void info(String format, Object... args){
		if (LOG <= INFO)
			System.out.printf(format, args);
	}

	public static void auto(String format, Object... args){
		if (LOG <= AUTO)
			System.out.printf(format, args);
	}
	
	public static void warn(String format, Object... args){
		if (LOG <= WARN)
			System.err.printf(format, args);
	}

	public static void err(String format, Object... args){
		if (LOG <= ERR)
			System.err.printf(format, args);
	}

	public static void fatal(String format, Object... args){
		if (LOG <= FATAL)
			System.err.printf(format, args);
	}
}
